#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    cin>>s;
    reverse(s.begin(),s.end());
    int j;
    if(s[0]=='0') j=1;
    for(int i=0; i<s.size(); i++){
        if(s[i]=='2') s[i]='5';
        else if(s[i]=='5') s[i]='2';
        if(j==1 && s[i]=='0'){s.erase(i,1); i--;}
        else if(j==1) j=0;
    }
    cout<<s;
    return 0;
}
